import { Controller, Get } from '@nestjs/common';
import { SeekerAddressService } from './seeker_address.service';
import { Public } from '../auth/public.decorator';
import { ApiBearerAuth, ApiTags, ApiOperation } from '@nestjs/swagger';

@ApiTags('seekerAddress')
@ApiBearerAuth('access-token')
@Controller('seekerAddress')
export class SeekerAddressController {
  constructor(private readonly seekerAddressService: SeekerAddressService) {}

  @Public()
  @Get()
  @ApiOperation({ summary: 'Get all seeker addresses' })
  findAll() {
    return this.seekerAddressService.findAll();
  }
}
